#include <iostream>
#include <algorithm>
using namespace std;

const int MAXN = 1003;

int n, k;
int s[MAXN], a[MAXN];

int main()
{
    cin >> n >> k;
    for (int i = 1; i <= n; ++ i)
    {
        cin >> s[i];
    }

    sort(s + 1, s + n + 1);

    int sum = 0;
    for (int i = 1; i <= n; ++ i)
    {
        a[i] = s[n] + 1 - s[i];
        sum += a[i];
    }

    // s[n] + 1 + offset == sum + n * offset
    int offset = (s[n] + 1 - sum) / (n - 1);
    if (s[n] + 1 < sum or offset * (n - 1) != s[n] + 1 - sum)
    {
        cout << -1 << endl;
        return 0;
    }
    
    for (int i = 1; i <= n; ++ i)
    {
        cout << a[i] + offset << ' ';
    }
    cout << endl;
    
    return 0;
}