#include <iostream>
#include <algorithm>
using namespace std;

const int MAXN = 1003;

int n, k;
int s[MAXN], a[MAXN];

int main()
{
    cin >> n >> k;
    for (int i = 1; i <= n; ++ i)
    {
        cin >> s[i];
    }

    sort(s + 1, s + n + 1);

    int sum = 0;
    for (int i = 1; i <= n; ++ i)
    {
        a[i] = s[n] + 1 - s[i];
        sum += a[i];
    }

    for (int i = 1; i <= n; ++ i)
    {
        // s[n] + 1 + offset == sum + a[i] + (n + 1) * offset
        int offset = (s[n] + 1 - sum - a[i]) / n;
        if (s[n] + 1 >= sum + a[i] and offset * n == s[n] + 1 - sum - a[i])
        {
            for (int j = 1; j <= n; ++ j)
            {
                cout << a[j] + offset << ' ';
            }
            cout << endl;
            cout << a[i] + offset << endl;
            return 0;
        }
    }

    cout << -1 << endl;
    return 0;
}