#include <iostream>
#include <algorithm>
using namespace std;

const int MAXN = 1003;

int n, k;
int s[MAXN], a[MAXN];

int ans[MAXN], offset, sum = 0;

void Rec(int idx, int rem, int acc)
{
    if (n - idx + 1 < rem) return;
    if (rem == 0)
    {
        // sum + acc + (n + k) * offset = s[n] + 1 + offset
        int offset = (s[n] + 1 - sum - acc) / (n + k - 1);
        if (offset * (n + k - 1) == s[n] + 1 - sum - acc and s[n] + 1 >= sum + acc)
        {
            for (int i = 1; i <= n; ++ i)
            {
                cout << a[i] + offset << ' ';
            }
            cout << endl;
            for (int i = 1; i <= k; ++ i)
            {
                cout << ans[i] + offset << ' ';
            }
            cout << endl;
            exit(0);
        }
        return;
    }

    Rec(idx + 1, rem, acc);
    ans[rem] = a[idx];
    Rec(idx + 1, rem - 1, acc + a[idx]);
}

int main()
{
    cin >> n >> k;
    for (int i = 1; i <= n; ++ i)
    {
        cin >> s[i];
    }

    sort(s + 1, s + n + 1);

    sum = 0;
    for (int i = 1; i <= n; ++ i)
    {
        a[i] = s[n] + 1 - s[i];
        sum += a[i];
    }

    Rec(1, k, 0);

    cout << -1 << endl;
    return 0;
}